# T38_PreCorrigendum_Data_Field_subtype Class Reference

`#include <t38.h>`

Inheritance diagram for T38_PreCorrigendum_Data_Field_subtype:

List of all members.

## Public Types

enum | OptionalFields { e_field_data }

## Public Member Functions

| T38_PreCorrigendum_Data_Field_subtype (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

T38_PreCorrigendum_Data_Field_subtype_field_type | m_field_type
PASN_OctetString | m_field_data

## Member Enumeration Documentation

enum T38_PreCorrigendum_Data_Field_subtype::OptionalFields

Enumerator:

  e_field_data |

## Constructor & Destructor Documentation

T38_PreCorrigendum_Data_Field_subtype::T38_PreCorrigendum_Data_Field_subtype | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX T38_PreCorrigendum_Data_Field_subtype::GetDataLength | ( |  | ) | const

PBoolean T38_PreCorrigendum_Data_Field_subtype::Decode | ( | PASN_Stream & | strm | ) |

void T38_PreCorrigendum_Data_Field_subtype::Encode | ( | PASN_Stream & | strm | ) | const

void T38_PreCorrigendum_Data_Field_subtype::PrintOn | ( | ostream & | strm | ) | const

Comparison T38_PreCorrigendum_Data_Field_subtype::Compare | ( | const PObject & | obj | ) | const

PObject* T38_PreCorrigendum_Data_Field_subtype::Clone | ( |  | ) | const

## Member Data Documentation

T38_PreCorrigendum_Data_Field_subtype_field_type T38_PreCorrigendum_Data_Field_subtype::m_field_type

PASN_OctetString T38_PreCorrigendum_Data_Field_subtype::m_field_data

The documentation for this class was generated from the following file:

- t38.h